MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026121Open CASCADE[OCCT] OCCT:Visualizationpublic2015-04-22 16:212015-05-14 16:37
Reportervpa 
Assigned Tobugmaster 
PriorityhighSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0026121: Visualization - revise implementation of point sets used in Select3D_SensitiveFace
DescriptionIt is necessary to remove excessive constructors using Handle for input point array from Select3D_InteriorSensitivePointSet and Select3D_BoundarySensitivePointSet to avoid errors from code duplication.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0026124closedbugmaster Open CASCADE Visualization - eliminate code duplication in construction of Select3D_SensitiveEntities 
related to 0026146closedabv Community Visualization, Select3D_ISensitivePointSet - eliminate crash when clearing selections [only with TBB] 
child of 0024623closedbugmaster Open CASCADE Visualization - improve selection mechanism 

-  Notes
(0040115)
git (administrator)
2015-04-22 17:27

Branch CR26121 has been created by vpa.

SHA-1: c916d50eb772613bb988f0ae36c41e6f141bebce


Detailed log of new commits:

Author: vpa
Date: Wed Apr 22 17:26:40 2015 +0300

    0026121: Visualization - revise implementation of point sets used in Select3D_SensitiveFace
    
    Code duplication was eliminated by removing constructors with handle input arrays
(0040117)
git (administrator)
2015-04-22 17:30

Branch CR26121 has been updated forcibly by vpa.

SHA-1: 30ebff0553cfcb95581e726b708aca0afdd450f0
(0040118)
vpa (developer)
2015-04-22 17:31

Dear Anton,

the patch in branch CR26121 is ready to be reviewed.
(0040122)
apl (developer)
2015-04-22 17:46

Dear bugmaster,

The branch CR26121 is reviewed, please test.
(0040158)
Pawel (updater)
2015-04-23 13:03

There seems to be a problem when destructing Select3D_SensitiveFace objects even with this patch integrated (over the 6.9.0 Beta 1 version).
I'll try to provide test data.

    TKV3d.dll!NCollection_Handle<Select3D_ISensitivePointSet>::Ptr::~Ptr() Line 62 + 0x5a bytes C++
     TKV3d.dll!NCollection_Handle<Select3D_ISensitivePointSet>::Ptr::`scalar deleting destructor'() + 0x2c bytes C++
     TKernel.dll!Standard_Transient::Delete() Line 72 + 0x30 bytes C++
     TKernel.dll!Handle_Standard_Transient::EndScope() Line 54 C++
     TKV3d.dll!Handle_Standard_Transient::~Handle_Standard_Transient() Line 72 C++
     TKV3d.dll!NCollection_Handle<Select3D_ISensitivePointSet>::~NCollection_Handle<Select3D_ISensitivePointSet>() + 0x31 bytes C++
     TKV3d.dll!Select3D_SensitiveFace::~Select3D_SensitiveFace() + 0x38 bytes C++
     TKV3d.dll!Select3D_SensitiveFace::`scalar deleting destructor'() + 0x2c bytes C++
     TKernel.dll!MMgt_TShared::Delete() Line 23 + 0x30 bytes C++
     TKernel.dll!Handle_Standard_Transient::EndScope() Line 54 C++
     TKV3d.dll!Handle_Standard_Transient::Nullify() Line 92 C++
     TKV3d.dll!SelectMgr_SensitiveEntity::Clear() Line 37 C++
     TKV3d.dll!SelectMgr_Selection::Clear() Line 91 C++
     TKV3d.dll!SelectMgr_SelectableObject::ClearSelections(const unsigned int update) Line 149 C++
     TKV3d.dll!SelectMgr_SelectionManager::Remove(const Handle_SelectMgr_SelectableObject & theObject) Line 237 C++
     TKV3d.dll!AIS_InteractiveContext::ClearGlobal(const Handle_AIS_InteractiveObject & theIObj, const unsigned int theToUpdateviewer) Line 2421 C++
     TKV3d.dll!AIS_InteractiveContext::Remove(const Handle_AIS_InteractiveObject & theIObj, const unsigned int theToUpdateViewer) Line 837 C++
(0040228)
git (administrator)
2015-04-24 17:33

Branch CR26121 has been updated forcibly by mkv.

SHA-1: e2285650996ff43076744db2ea68a1f0fd61af49
(0040284)
mkv (tester)
2015-04-27 16:16

Dear BugMaster,
Branch CR26121 was rebased on current master of occt git-repository.
SHA-1: e2285650996ff43076744db2ea68a1f0fd61af49
(0040285)
mkv (tester)
2015-04-27 16:16

Dear BugMaster,
Branch CR26121 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: e2285650996ff43076744db2ea68a1f0fd61af49

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 4 (4 on master)
Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR26121-master-occt-64/Debian60-64/bugs/vis/bug6652.html [^]
http://occt-tests/CR26121-master-occt-64/Windows-64-VC10/bugs/vis/bug6652.html [^]
bugs vis(004) bug6652
http://occt-tests/CR26121-master-occt-64/Debian60-64/bugs/vis/bug10702.html [^]
http://occt-tests/CR26121-master-occt-64/Windows-64-VC10/bugs/vis/bug10702.html [^]
bugs vis(004) bug10702
http://occt-tests/CR26121-master-occt-64/Debian60-64/v3d/mesh/A1.html [^]
http://occt-tests/CR26121-master-occt-64/Windows-64-VC10/v3d/mesh/A1.html [^]
v3d mesh(017) A1
http://occt-tests/CR26121-master-occt-64/Debian60-64/v3d/mesh/A2.html [^]
http://occt-tests/CR26121-master-occt-64/Windows-64-VC10/v3d/mesh/A2.html [^]
v3d mesh(017) A2

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 95184503 / 94351979 [+0.88%]
Total CPU difference: 52694.96999999942 / 50909.86999999946 [+3.51%]
products component :
Total MEMORY difference: 23684103 / 23753447 [-0.29%]
Total CPU difference: 16985.939999999984 / 17120.949999999957 [-0.79%]

Testing on Windows:
occt component :
Total MEMORY difference: 57110422 / 57123802 [-0.02%]
Total CPU difference: 15607.93125019938 / 15782.38716849897 [-1.11%]
products component :
Total MEMORY difference: 15505281 / 15605919 [-0.64%]
Total CPU difference: 6238.1211876999905 / 6275.40542669997 [-0.59%]

There are no differences in images found by testdiff.
(0040521)
git (administrator)
2015-04-30 18:09

Branch CR26121_1 has been created by vpa.

SHA-1: f11b71bcf87b63cb191f20098d7c0dc57f8077b4


Detailed log of new commits:

Author: vpa
Date: Thu Apr 30 18:08:55 2015 +0300

    0026121: Visualization - revise implementation of point sets used in Select3D_SensitiveFace
    
    Code duplication was eliminated by removing constructors with handle input arrays
(0040522)
vpa (developer)
2015-04-30 18:13

Dear Kirill,

please review patch in branch CR26121_1.
(0040523)
kgv (developer)
2015-04-30 18:16

Please test the patch.
(0040619)
mkv (tester)
2015-05-06 13:52

Dear BugMaster,
Branch CR26121_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: f11b71bcf87b63cb191f20098d7c0dc57f8077b4

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 4 (4 on master)
Windows: 0 (0 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 95083491 / 94545588 [+0.57%]
Total CPU difference: 52603.569999999345 / 51017.469999999455 [+3.11%]
products component :
Total MEMORY difference: 23819520 / 23753447 [+0.28%]
Total CPU difference: 17667.55999999999 / 17120.949999999957 [+3.19%]

Testing on Windows:
occt component :
Total MEMORY difference: 57254719 / 57266605 [-0.02%]
Total CPU difference: 15871.338938699359 / 15810.95095159897 [+0.38%]
products component :
Total MEMORY difference: 15611591 / 15605919 [+0.04%]
Total CPU difference: 6269.820590899977 / 6275.40542669997 [-0.09%]

There are no differences in images found by testdiff.
(0041103)
git (administrator)
2015-05-14 16:37

Branch CR26121 has been deleted by inv.

SHA-1: e2285650996ff43076744db2ea68a1f0fd61af49
(0041104)
git (administrator)
2015-05-14 16:37

Branch CR26121_1 has been deleted by inv.

SHA-1: f11b71bcf87b63cb191f20098d7c0dc57f8077b4

- Related Changesets
occt: master 1c22cc2d
Timestamp: 2015-04-30 15:08:55
Author: vpa
Committer: bugmaster
Details ] Diff ]
0026121: Visualization - revise implementation of point sets used in Select3D_SensitiveFace

Code duplication was eliminated by removing constructors with handle input arrays
mod - src/Select3D/Select3D_BoundarySensitivePointSet.cxx Diff ] File ]
mod - src/Select3D/Select3D_BoundarySensitivePointSet.hxx Diff ] File ]
mod - src/Select3D/Select3D_InteriorSensitivePointSet.cxx Diff ] File ]
mod - src/Select3D/Select3D_InteriorSensitivePointSet.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveFace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-04-22 16:21 vpa New Issue
2015-04-22 16:21 vpa Assigned To => vpa
2015-04-22 16:22 vpa Status new => assigned
2015-04-22 16:22 vpa Priority normal => high
2015-04-22 16:30 vpa Description Updated View Revisions
2015-04-22 16:32 vpa Relationship added child of 0024623
2015-04-22 17:13 vpa Summary Visualization - incorrect handling of right angles in Select3D_InteriorSensitivePointSet => Visualization - revise implementation of Select3D_InteriorSensitivePointSet
2015-04-22 17:13 vpa Description Updated View Revisions
2015-04-22 17:16 vpa Summary Visualization - revise implementation of Select3D_InteriorSensitivePointSet => Visualization - revise implementation of point sets used in Select3D_SensitiveFace
2015-04-22 17:16 vpa Description Updated View Revisions
2015-04-22 17:27 git Note Added: 0040115
2015-04-22 17:30 git Note Added: 0040117
2015-04-22 17:31 vpa Note Added: 0040118
2015-04-22 17:31 vpa Assigned To vpa => apl
2015-04-22 17:31 vpa Status assigned => resolved
2015-04-22 17:31 vpa Steps to Reproduce Updated View Revisions
2015-04-22 17:46 apl Note Added: 0040122
2015-04-22 17:46 apl Assigned To apl => bugmaster
2015-04-22 17:46 apl Status resolved => reviewed
2015-04-22 18:03 vpa Relationship added related to 0026124
2015-04-22 23:36 kgv Severity minor => trivial
2015-04-22 23:36 kgv Product Version 6.9.0 =>
2015-04-23 13:03 Pawel Note Added: 0040158
2015-04-24 16:13 mkv Assigned To bugmaster => mkv
2015-04-24 16:37 Pawel Relationship added related to 0026146
2015-04-24 17:33 git Note Added: 0040228
2015-04-27 16:16 mkv Note Added: 0040284
2015-04-27 16:16 mkv Note Added: 0040285
2015-04-27 16:16 mkv Assigned To mkv => apl
2015-04-27 16:16 mkv Status reviewed => assigned
2015-04-27 16:17 mkv Test case number => Not needed
2015-04-27 16:22 apl Assigned To apl => vpa
2015-04-27 20:22 vpa Relationship added related to 0026115
2015-04-30 18:09 git Note Added: 0040521
2015-04-30 18:13 vpa Note Added: 0040522
2015-04-30 18:13 vpa Assigned To vpa => kgv
2015-04-30 18:13 vpa Status assigned => resolved
2015-04-30 18:16 kgv Note Added: 0040523
2015-04-30 18:16 kgv Assigned To kgv => bugmaster
2015-04-30 18:16 kgv Status resolved => reviewed
2015-04-30 18:16 kgv Steps to Reproduce Updated View Revisions
2015-04-30 18:48 mkv Assigned To bugmaster => mkv
2015-05-06 13:52 mkv Note Added: 0040619
2015-05-06 13:52 mkv Assigned To mkv => bugmaster
2015-05-06 13:52 mkv Status reviewed => tested
2015-05-07 11:18 bugmaster Changeset attached => occt master 1c22cc2d
2015-05-07 11:18 bugmaster Status tested => verified
2015-05-07 11:18 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-14 16:37 git Note Added: 0041103
2015-05-14 16:37 git Note Added: 0041104


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker